> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Create ReceivingOrder.



## OpenAPI

````yaml /api-reference/openapi.json post /openapi/v1/ReceivingOrders
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/ReceivingOrders:
    post:
      tags:
        - ReceivingOrders
      summary: Create ReceivingOrder.
      parameters:
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/CreateReceivingOrderRequestDTO'
          application/json:
            schema:
              $ref: '#/components/schemas/CreateReceivingOrderRequestDTO'
          text/json:
            schema:
              $ref: '#/components/schemas/CreateReceivingOrderRequestDTO'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CreateReceivingOrderRequestDTO'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ReceivingOrderDetailResponseDTO'
            application/json:
              schema:
                $ref: '#/components/schemas/ReceivingOrderDetailResponseDTO'
            text/json:
              schema:
                $ref: '#/components/schemas/ReceivingOrderDetailResponseDTO'
components:
  schemas:
    CreateReceivingOrderRequestDTO:
      required:
        - lineItems
        - transferType
      type: object
      properties:
        integrationId:
          type: string
          format: uuid
        referenceNumber:
          type: string
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/CreateReceivingOrderLineItemInputDTO'
        transferType:
          $ref: '#/components/schemas/ReceivingOrderTransferType'
        cargoTransfer:
          $ref: '#/components/schemas/CargoTransferDTO'
        pickupTransfer:
          $ref: '#/components/schemas/PickupTransferDTO'
        carriageTransfer:
          $ref: '#/components/schemas/CarriageTransferDTO'
      additionalProperties: false
    ReceivingOrderDetailResponseDTO:
      type: object
      properties:
        id:
          type: string
          format: uuid
        referenceNumber:
          type: string
        state:
          $ref: '#/components/schemas/ReceivingOrderState'
        transferType:
          $ref: '#/components/schemas/ReceivingOrderTransferType'
        integration:
          $ref: '#/components/schemas/IntegrationDetailResponseDTO'
        transferDetails:
          $ref: '#/components/schemas/ReceivingOrderTransferDTO'
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/LineItemOfReceivingOrderResponseDTO'
        createdAt:
          type: string
          format: date-time
        arrivedToWarehouseAt:
          type: string
          format: date-time
        completedAt:
          type: string
          format: date-time
        cancelledAt:
          type: string
          format: date-time
      additionalProperties: false
    CreateReceivingOrderLineItemInputDTO:
      required:
        - expectedQuantity
        - sku
      type: object
      properties:
        sku:
          type: string
        expectedQuantity:
          type: integer
          format: int32
      additionalProperties: false
    ReceivingOrderTransferType:
      enum:
        - CargoTransfer
        - PickupTransfer
        - CarriageTransfer
      type: string
    CargoTransferDTO:
      type: object
      properties:
        shipmentDate:
          type: string
          format: date-time
        cargoCompanyName:
          type: string
        trackingNumber:
          type: string
      additionalProperties: false
      required:
        - shipmentDate
    PickupTransferDTO:
      type: object
      properties:
        pickupDate:
          type: string
          format: date-time
        pickupAddress:
          type: string
      additionalProperties: false
      required:
        - pickupDate
    CarriageTransferDTO:
      type: object
      properties:
        shipmentDate:
          type: string
          format: date-time
        carriageCompanyName:
          type: string
        waybillNumber:
          type: string
      additionalProperties: false
      required:
        - shipmentDate
    ReceivingOrderState:
      enum:
        - ReceivingOrderCreated
        - ArrivedToWarehouse
        - Completed
        - Cancelled
      type: string
    IntegrationDetailResponseDTO:
      type: object
      properties:
        integrationType:
          $ref: '#/components/schemas/IntegrationType'
        integrationName:
          type: string
      additionalProperties: false
    ReceivingOrderTransferDTO:
      type: object
      properties:
        shipmentDate:
          type: string
          format: date-time
        cargoCompanyName:
          type: string
        trackingNumber:
          type: string
        pickupDate:
          type: string
          format: date-time
        pickupAddress:
          type: string
        carriageCompanyName:
          type: string
        waybillNumber:
          type: string
      additionalProperties: false
    LineItemOfReceivingOrderResponseDTO:
      type: object
      properties:
        id:
          type: string
          format: uuid
        imageUrl:
          type: string
        productName:
          type: string
        acceptedQuantity:
          type: integer
          format: int32
        damagedQuantity:
          type: integer
          format: int32
        processedAt:
          type: string
          format: date-time
        sku:
          type: string
        expectedQuantity:
          type: integer
          format: int32
      additionalProperties: false
    IntegrationType:
      enum:
        - CudExcludedIntegrations
        - SyncExcludedIntegrations
        - InventoryNotificationExcludedIntegrations
        - FulfillmentNotificationExcludedIntegrations
        - FulfillmentNotificationViaPackage
        - CreatePackageByQuantity
        - Oplog
        - Shopify
        - OpenApi
        - Custom
        - WooCommerce
        - Ticimax
        - TSoft
        - Default
        - Entegra
        - Trendyol
        - OrderDesk
        - Sentos
      type: string
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````